<BASE HREF="/users/specif/dubois/JFLA2000/SOUMISSIONS/15/formulaire.html">

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 15</H1>

<P>Numero du papier: 15
<P>Titre du papier: Vers une vérification statique des applets cryptographiques
<P>Auteurs: Nabil El Kadhi

<P>Nom du rapporteur:

<P>Confiance en la note: 2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier: 3
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>

L'article décrit une analyse statique de protocoles cryptographiques
dans le but d'identifier des "fuites" potentielles d'information
confidentielles.  L'analyse suit l'approche générale mise en place par
Bolignano, Paulson et al pour la preuve formelle de protocoles
cryptographiques.  Mais là ou Bolignano développait à la main des
preuves en Coq, l'article propose d'effectuer une vérification
automatique approchée par l'intermédiaire d'une analyse statique
dérivée par interprétation abstraite.<P>

Cet article m'inspire des sentiments mitigés.  D'un côté, il s'agit
d'un travail sérieux dans un domaine techniquement difficile et
important en pratique.  Les points faibles des applications utilisant
de la cryptographie sont plus souvent au niveau des protocoles qu'au
niveau des algorithmes eux-mêmes. D'où l'importance de logiques comme
celle de Burrows-Abadi-Needham, de preuves comme celles de Bolignano
et de Paulson, et d'analyses comme celle qui fait l'objet de cet article.
<P>

De l'autre, l'article est mal écrit et difficile à lire.
L'introduction est bonne quoique pas assez détaillée.  Mais le reste de
l'article est essentiellement une suite de définitions mathématiques
données presque sans explications.  Une connaissance préalable des
travaux de Bolignano et de l'interprétation abstraite permet de
deviner à peu près là où l'auteur veut en venir.  Je crains cependant
que l'article ne soit impénétrable pour des lecteurs qui découvrent le
domaine.<P>

Enfin, comme son titre l'indique, l'article ne va pas jusqu'à une
analyse complète: il se contente de définir les opérateurs de la
sémantique abstraite; l'analyse elle-même est esquissée vaguement en
moins d'une page.  C'est un peu gênant.  On ne sait même pas quel
langage source l'auteur vise!  Cela jette aussi un doute quant à la
pertinence de cet article pour une conf sur les langages (fonctionnels
ou même en général): cet article ne présente essentiellement aucun
aspect "langage" du travail...<P>

Commentaires de détail:<P>

Titre et intro: pourquoi se limiter à des applets cryptographiques?
L'analyse semble applicable à tout programme utilisant de la
cryptographie.  Le mot "applet" est-il mentionné juste pour faire
branché, ou bien l'auteur a-t'il des applications précises en tête où
la confidentialité repose  de manière essentielle sur des applets à la
Web ou à la Javacard?<P>

Section 5.1: je ne comprends pas la notation "knowin".
L'auteur voulait-il dire "known in" ("connu dans")?
Ou "knowing" ("connaissant")?<P>

Bas de la page 10 et haut de la page 11: quel est l'ordre utilisé sur
les quintuplets d'entiers?  Lexicographique?  Aussi, l'équation (1)
utilise le symbole \le et la preuve de la page 11 le symbole \ge_{lx}.<P>

Bibliographie: Martín Abadi (i accent aigu).  Dershowitz (avec un o).<P>

<P>Commentaires reserves au comite de programme:<P>

Malgré toutes ses faiblesses, l'article est loin d'être nul.  Mais il y a 
beaucoup de travail pour le rendre vraiment lisible.<P>

</BODY>
</HTML>

